Bug 845413 - Video cannot be played smoothly on Guest windows 2003 64bit
Video cannot be played smoothly on Guest windows 2003 64bit
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: qemu-kvm (Show other bugs)
6.3
Unspecified Unspecified
low Severity low
: rc
: ---
Assigned To: Gerd Hoffmann
Virtualization Bugs
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-08-02 22:28 EDT by Yang Zhao
Modified: 2013-04-23 03:47 EDT (History)
11 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-04-23 03:47:42 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
test w/ chrome (409.12 KB, image/png)
2013-04-23 03:19 EDT, Qian Guo
no flags Details
test w/ firefox (657.62 KB, image/png)
2013-04-23 03:20 EDT, Qian Guo
no flags Details
Test w/ IE (262.66 KB, image/png)
2013-04-23 03:20 EDT, Qian Guo
no flags Details

  None (edit)
Description Yang Zhao 2012-08-02 22:28:37 EDT
Description of problem:
Video has already buffered completely,but it plays a little time,then suspend.

Version-Release number of selected component (if applicable):
2.6.32-279.el6.x86_64
qemu-kvm-0.12.1.2-2.295.el6.x86_64
seabios-0.6.1.2-19.el6.x86_64

How reproducible:
100%

Steps to Reproduce:
1.start guest windows 2003 64bit
/usr/libexec/qemu-kvm  -usb -device usb-tablet -cpu SandyBridge,+x2apic -m 3G -smp 4  -uuid 90cd745b-4c57-462a-9236-97e3429eb42a  -rtc base=localtime -drive file=win2k3-64.qcow2,if=none,id=drive-virtio-disk0,format=qcow2,cache=none,werror=stop,rerror=stop -device ide-drive,drive=drive-virtio-disk0,id=virtio-disk0  -netdev tap,vhost=on,id=hostnet1,script=/etc/qemu-ifup -device rtl8139,netdev=hostnet1,id=net1,mac=00:12:10:41:12:00  -monitor stdio -boot cd -vnc :1
2.In the guest, visit www.youku.com to open a video to play with IE web browser

Actual results:
The video have already buffered,but it only can play a little time,then suspend.

Expected results:
The video should be played smoothly.

Additional info:
Try the web browser with firefox and google chrome,both hit this issue. Visit to www.youtube.com,also hit this issue.
Comment 2 juzhang 2012-08-02 23:03:00 EDT
Hi, Yang

How about spice&qxl? hit the same problem?
Comment 3 Yang Zhao 2012-08-03 04:22:34 EDT
Hi juzhang,

  yes, both of them hit the same problem.
Comment 7 Qian Guo 2013-04-07 02:38:21 EDT
Will test later w/ rhel6.4 guest over spice&qxl and update result.
Comment 8 Qian Guo 2013-04-09 02:09:16 EDT
Test this w/ rhel6.4 guest (x86_64 and x86), not hit this issue:

Components:
Host:
# rpm -q qemu-kvm
qemu-kvm-0.12.1.2-2.295.el6.x86_64
# uname -r
2.6.32-279.el6.x86_64

Guest_RHEL6.4x86:
]# uname -r
2.6.32-358.el6.i686
# rpm -qa |grep flash
flash-plugin-11.2.202.275-release.i386
# rpm -qa |grep firefox
firefox-10.0.12-1.el6_3.i686

Guest_RHEL6.4x86_64
# uname -r
2.6.32-358.el6.x86_64
# rpm -qa |grep flash
flash-plugin-11.2.202.275-release.x86_64
# rpm -qa |grep firefox
firefox-10.0.12-1.el6_3.x86_64


1.Both test w/ vnc&std and spice&qxl, 
2.use virt-viewer> remote-viewer to launch guests 
3.Use firefox w/ flash-plugin to play video of 'http://www.youku.com'.

Results:
Can play smoothly, and not hit any problem, when I use mouse to select the frame of the video, it can play well too, so for rhel6.4 guest, has not this problem.
Comment 9 Gerd Hoffmann 2013-04-15 06:48:28 EDT
Original report is about win2003 guest, can you test that too?
Comment 10 Qian Guo 2013-04-15 07:07:31 EDT
(In reply to comment #9)
> Original report is about win2003 guest, can you test that too?
OK, will update this when I finished testing.
Comment 11 Qian Guo 2013-04-23 03:15:56 EDT
Test Win2003 guest in rhel6.3GA host

1.Components:
Host:
# rpm -q qemu-kvm
qemu-kvm-0.12.1.2-2.295.el6.x86_64
# uname -r
2.6.32-279.el6.x86_64


Guest:
OS:Windows 2003 64bit

And pkgs:

Adobe Flash Player 11 Plugin: 11.7.700.169

Adobe Flash Player 11 ActiveX: 11.7.700.169

Google Chrome: 26.0.1410.64

Mozilla Firefox: 20.0.1(x86 en-Us)

Internet Explorer: 6.0.3790.1830

2.Test w/ spice&qxl and vnc%std

spice$qxl CLI:
# /usr/libexec/qemu-kvm -name KVM-Winxp -m 4096 -M pc -rtc base=localtime,clock=host,driftfix=slew -spice port=5900,disable-ticketing -vga qxl -global qxl-vga.vram_size=67108864 -enable-kvm -nodefaults -nodefconfig -device piix3-usb-uhci,id=usb -netdev tap,id=hostnet0 -device virtio-net-pci,netdev=hostnet0,id=net0,mac=00:1a:4a:42:0a:00, -device usb-tablet,id=input0  -drive file=/home/win2003-64-virtio.qcow2,media=disk,if=none,id=drive-ide0-1-0,format=qcow2,cache=none,werror=stop,rerror=stop,aio=threads -device ide-drive,drive=drive-ide0-1-0,id=ide0-1-0,bus=ide.1 -monitor stdio

3.launch guest w/ remote-viewer

Results: 
1.Not reproduce this bug, I test w/ Firefox/chrome/IE, and all they can play the videos from http://www.youku.com.
2.I can choose the frame of the videos and not hit 'suspend'.
3.Will attach the results snapshot in this bug.
Comment 12 Qian Guo 2013-04-23 03:19:24 EDT
Created attachment 738849 [details]
test w/ chrome
Comment 13 Qian Guo 2013-04-23 03:20:02 EDT
Created attachment 738850 [details]
test w/ firefox
Comment 14 Qian Guo 2013-04-23 03:20:35 EDT
Created attachment 738851 [details]
Test w/ IE
Comment 15 Gerd Hoffmann 2013-04-23 03:47:42 EDT
> Results: 
> 1.Not reproduce this bug, I test w/ Firefox/chrome/IE, and all they can play
> the videos from http://www.youku.com.
> 2.I can choose the frame of the videos and not hit 'suspend'.

Good, so it got fixed in 6.4, probably it is just a dup of some other bug.

Note You need to log in before you can comment on or make changes to this bug.